Module | Sequel::Plugins::AssociationProxies::ClassMethods
In: | lib/sequel/plugins/association_proxies.rb

### Methods

def_association_method

### Public Instance methods

def_association_method(opts)

Changes the association method to return a proxy instead of the associated objects directly.

[Source]

        # File lib/sequel/plugins/association_proxies.rb, line 43
    43:         def def_association_method(opts)
    44:           opts.returns_array? ? association_module_def(opts.association_method, opts){|*r| AssociationProxy.new(self, opts, r[0])} : super
    45:         end

[Validate]